Bug 651972 - KMS:RV380:X600 GL driver entry point issue (no 3D acceleration)
Summary: KMS:RV380:X600 GL driver entry point issue (no 3D acceleration)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 14
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-10 17:43 UTC by shengouki
Modified: 2018-04-11 14:25 UTC (History)
5 users (show)

Fixed In Version: mesa-7.9-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-07 14:39:41 UTC


Attachments (Terms of Use)
Logs and another support data for this bug (115.97 KB, application/x-gzip)
2010-11-10 17:43 UTC, shengouki
no flags Details
dmesg.txt from the archive (59.35 KB, text/plain)
2010-11-10 22:51 UTC, Matěj Cepl
no flags Details
glxinfo.txt from the archive (20.14 KB, text/plain)
2010-11-10 22:51 UTC, Matěj Cepl
no flags Details
smoltprofile.txt from the archive (6.68 KB, text/plain)
2010-11-10 22:52 UTC, Matěj Cepl
no flags Details
Xorg.0.log from the archive (63.68 KB, text/plain)
2010-11-10 22:52 UTC, Matěj Cepl
no flags Details
Xorg.1.log from the archive (35.42 KB, text/plain)
2010-11-10 22:52 UTC, Matěj Cepl
no flags Details
Xorg.2.log from the archive (35.42 KB, text/plain)
2010-11-10 22:53 UTC, Matěj Cepl
no flags Details
Xorg.3.log from the archive (35.42 KB, text/plain)
2010-11-10 22:53 UTC, Matěj Cepl
no flags Details
Xorg.4.log from the archive (35.42 KB, text/plain)
2010-11-10 22:53 UTC, Matěj Cepl
no flags Details
Xorg.5.log from the archive (35.42 KB, text/plain)
2010-11-10 22:54 UTC, Matěj Cepl
no flags Details
Xorg.9.log from the archive (28.52 KB, text/plain)
2010-11-10 22:54 UTC, Matěj Cepl
no flags Details
Xorg.0.log with mesa 7.10 from rawhide (68.78 KB, text/plain)
2010-11-23 19:12 UTC, shengouki
no flags Details
glxinfo dump with mesa 7.10 (23.23 KB, text/plain)
2010-11-23 19:14 UTC, shengouki
no flags Details
Log from mesa-dri-drivers-experimental 7.9-4 on X600 graphics chipset (58.85 KB, text/plain)
2010-12-08 15:50 UTC, Need Real Name
no flags Details

Description shengouki 2010-11-10 17:43:22 UTC
Created attachment 459502 [details]
Logs and another support data for this bug

Description of problem:
After installing (tried preupgrading and a fresh install) or running a Live Desktop session (from the LiveCD), if you try to enable Desktop Effects system returns that there is no 3D Hardware Acceleration available. And OpenGL games run sluggish (tried with Osmos).

Version-Release number of selected component (if applicable):


How reproducible:

Running Fedora 14 from LiveCD, upgrading from FC13 or performing a fresh install

Steps to Reproduce:
1. Start Fedora
2. Try to enable Desktop Effects in Gnome. (System->Preferences->Desktop Effects)
3. Try to run a OpenGL Based Game (in this case Osmos).
  
Actual results:

Desktops effects can not be enabled (so no compositing with compiz or mutter). OpenGL based games are completely unplayable. Software Rasterizer is enabled instead of the 3D Hardware Acceleration.


Expected results:

3D hardware acceleration enabled instead of Software Rasterizer. Compositing and 3D gaming are expected to be possible, as in FC13.

Additional info:

Not Applicable

Comment 1 Matěj Cepl 2010-11-10 22:51:37 UTC
Created attachment 459557 [details]
dmesg.txt from the archive

Comment 2 Matěj Cepl 2010-11-10 22:51:51 UTC
Created attachment 459558 [details]
glxinfo.txt from the archive

Comment 3 Matěj Cepl 2010-11-10 22:52:06 UTC
Created attachment 459559 [details]
smoltprofile.txt from the archive

Comment 4 Matěj Cepl 2010-11-10 22:52:25 UTC
Created attachment 459560 [details]
Xorg.0.log from the archive

Comment 5 Matěj Cepl 2010-11-10 22:52:46 UTC
Created attachment 459561 [details]
Xorg.1.log from the archive

Comment 6 Matěj Cepl 2010-11-10 22:53:14 UTC
Created attachment 459562 [details]
Xorg.2.log from the archive

Comment 7 Matěj Cepl 2010-11-10 22:53:38 UTC
Created attachment 459563 [details]
Xorg.3.log from the archive

Comment 8 Matěj Cepl 2010-11-10 22:53:48 UTC
Created attachment 459564 [details]
Xorg.4.log from the archive

Comment 9 Matěj Cepl 2010-11-10 22:54:00 UTC
Created attachment 459565 [details]
Xorg.5.log from the archive

Comment 10 Matěj Cepl 2010-11-10 22:54:19 UTC
Created attachment 459566 [details]
Xorg.9.log from the archive

Comment 11 Matěj Cepl 2010-11-10 23:03:54 UTC
> (EE) AIGLX error: Calling driver entry point failed
> (EE) AIGLX: reverting to software rendering
> (II) AIGLX: Screen 0 is not DRI capable
> (II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
> (II) GLX: Initialized DRISWRAST GL provider for screen 0
> (II) RADEON(0): Setting screen physical size to 380 x 238

Comment 12 Jérôme Glisse 2010-11-23 17:17:23 UTC
Can you make sure you update all the mesa-* package to the lastest one available and report back if it helps.

Comment 13 shengouki 2010-11-23 18:28:48 UTC
(In reply to comment #12)
> Can you make sure you update all the mesa-* package to the lastest one
> available and report back if it helps.

The reports and logs already uploaded were issued with the latest mesa-* package available in FC14 (7.9-2.fc14) installed from updates-testing. May I use the mesa-* package from rawhide?

Comment 14 shengouki 2010-11-23 19:09:51 UTC
I have just tried with the mesa-* package from rawhide (7.10-11.fc15), and I have the same error Xorg.0.log:

[    29.659] (EE) AIGLX error: Calling driver entry point failed
[    29.659] (EE) AIGLX: reverting to software rendering
[    29.659] (II) AIGLX: Screen 0 is not DRI capable
[    30.304] (II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
[    30.304] (II) GLX: Initialized DRISWRAST GL provider for screen 0
[    30.305] (II) RADEON(0): Setting screen physical size to 380 x 238

but there is an important change in glxinfo:


OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe
OpenGL version string: 2.1 Mesa 7.10-devel
OpenGL shading language version string: 1.20


In gnome compositing is possible but is not usable (compiz returns a completely white screen and gnome-shell have a lot of artifacting). 3D in games is not possible (no 3D accelration and lots of artifacting, tried with Osmos).

Comment 15 shengouki 2010-11-23 19:12:43 UTC
Created attachment 462415 [details]
Xorg.0.log with mesa 7.10 from rawhide

Comment 16 shengouki 2010-11-23 19:14:47 UTC
Created attachment 462416 [details]
glxinfo dump with mesa 7.10

Comment 17 Fedora Update System 2010-12-07 01:35:58 UTC
mesa-7.9-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mesa-7.9-4.fc14

Comment 18 Dave Airlie 2010-12-07 01:41:31 UTC
The f14 update I've pushed should fix this.

Comment 19 shengouki 2010-12-07 10:34:14 UTC
And it fixes the problem! Now the 3D acceleration and the compositing works perfectly. Do yo need any log or any other kind of feedback?

Dave, Jerome and Matej thank you so much for your help.

Comment 20 Need Real Name 2010-12-08 15:47:23 UTC
I can confirm that the new mesa-7.9-4-fc14 packages resolve the problems on a Latitude D810 with the Gallium 0.4 on RV380 render not being used Radeon X600 graphics chipset. However, the output from 'glxgears -info' shows a slow frame rate of 60 FPS and pymol's Representation demo runs pretty slow as if DRI really isn't functional.

Comment 21 Need Real Name 2010-12-08 15:50:03 UTC
Created attachment 467507 [details]
Log from mesa-dri-drivers-experimental 7.9-4 on X600 graphics chipset

Comment 22 Jérôme Glisse 2010-12-08 16:36:34 UTC
DRI is synchronized on vblank.

Comment 23 Fedora Update System 2010-12-12 00:03:29 UTC
mesa-7.9-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.